## org.eclipse.xsd.provider
Class XSDSemanticItemProviderAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.xsd.util.XSDAdapterFactory
              org.eclipse.xsd.provider.XSDItemProviderAdapterFactory
                  org.eclipse.xsd.provider.XSDSemanticItemProviderAdapterFactory

All Implemented Interfaces:
  AdapterFactory, ComposeableAdapterFactory, IChangeNotifier, IDisposable

    public class XSDSemanticItemProviderAdapterFactory

extends XSDItemProviderAdapterFactory

Field Summary

Fields inherited from class org.eclipse.xsd.provider.XSDItemProviderAdapterFactory

`changeNotifier, disposable, parentAdapterFactory, supportedTypes, xsdAnnotationItemProvider, xsdAttributeDeclarationItemProvider, xsdAttributeGroupContentItemProvider, xsdAttributeGroupDefinitionItemProvider, xsdAttributeUseItemProvider, xsdBoundedFacetItemProvider, xsdCardinalityFacetItemProvider, xsdComplexTypeContentItemProvider, xsdComplexTypeDefinitionItemProvider, xsdComponentItemProvider, xsdConcreteComponentItemProvider, xsdConstrainingFacetItemProvider, xsdDiagnosticItemProvider, xsdElementDeclarationItemProvider, xsdEnumerationFacetItemProvider, xsdFacetItemProvider, xsdFeatureItemProvider, xsdFixedFacetItemProvider, xsdFractionDigitsFacetItemProvider, xsdFundamentalFacetItemProvider, xsdIdentityConstraintDefinitionItemProvider, xsdImportItemProvider, xsdIncludeItemProvider, xsdLengthFacetItemProvider, xsdMaxExclusiveFacetItemProvider, xsdMaxFacetItemProvider, xsdMaxInclusiveFacetItemProvider, xsdMaxLengthFacetItemProvider, xsdMinExclusiveFacetItemProvider, xsdMinFacetItemProvider, xsdMinInclusiveFacetItemProvider, xsdMinLengthFacetItemProvider, xsdModelGroupDefinitionItemProvider, xsdModelGroupItemProvider, xsdNamedComponentItemProvider, xsdNotationDeclarationItemProvider, xsdNumericFacetItemProvider, xsdOrderedFacetItemProvider, xsdParticleContentItemProvider, xsdParticleItemProvider, xsdPatternFacetItemProvider, xsdRedefinableComponentItemProvider, xsdRedefineContentItemProvider, xsdRedefineItemProvider, xsdRepeatableFacetItemProvider, xsdSchemaCompositorItemProvider, xsdSchemaContentItemProvider, xsdSchemaDirectiveItemProvider, xsdSchemaItemProvider, xsdScopeItemProvider, xsdSimpleTypeDefinitionItemProvider, xsdTermItemProvider, xsdTotalDigitsFacetItemProvider, xsdTypeDefinitionItemProvider, xsdWhiteSpaceFacetItemProvider, xsdWildcardItemProvider, xsdxPathDefinitionItemProvider`

Fields inherited from class org.eclipse.xsd.util.XSDAdapterFactory
`modelPackage, modelSwitch`

Constructor Summary
`XSDSemanticItemProviderAdapterFactory()`

Method Summary
`Adapter` `createXSDAnnotationAdapter()` This creates an adapter for a `XSDAnnotation`.
`Adapter` `createXSDAttributeDeclarationAdapter()` This creates an adapter for a `XSDAttributeDeclaration`.
`Adapter` `createXSDAttributeGroupDefinitionAdapter()` This creates an adapter for a `XSDAttributeGroupDefinition`.
`Adapter` `createXSDAttributeUseAdapter()` This creates an adapter for a `XSDAttributeUse`.
`Adapter` `createXSDCardinalityFacetAdapter()` This creates an adapter for a `XSDCardinalityFacet`.
`Adapter` `createXSDComplexTypeDefinitionAdapter()` This creates an adapter for a `XSDComplexTypeDefinition`.
`Adapter` `createXSDDiagnosticAdapter()` This creates an adapter for a `XSDDiagnostic`.
`Adapter` `createXSDElementDeclarationAdapter()` This creates an adapter for a `XSDElementDeclaration`.
`Adapter` `createXSDEnumerationFacetAdapter()` This creates an adapter for a `XSDEnumerationFacet`.
`Adapter` `createXSDFractionDigitsFacetAdapter()` This creates an adapter for a `XSDFractionDigitsFacet`.
`Adapter` `createXSDIdentityConstraintDefinitionAdapter()` This creates an adapter for a `XSDIdentityConstraintDefinition`.
`Adapter` `createXSDImportAdapter()` This creates an adapter for a `XSDImport`.
`Adapter` `createXSDIncludeAdapter()` This creates an adapter for a `XSDInclude`.
`Adapter` `createXSDLengthFacetAdapter()` This creates an adapter for a `XSDLengthFacet`.
`Adapter` `createXSDMaxExclusiveFacetAdapter()` This creates an adapter for a `XSDMaxExclusiveFacet`.
`Adapter` `createXSDMaxFacetAdapter()` This creates an adapter for a `XSDMaxFacet`.
`Adapter` `createXSDMaxInclusiveFacetAdapter()` This creates an adapter for a `XSDMaxInclusiveFacet`.
`Adapter` `createXSDMaxLengthFacetAdapter()` This creates an adapter for a `XSDMaxLengthFacet`.
`Adapter` `createXSDMinExclusiveFacetAdapter()` This creates an adapter for a `XSDMinExclusiveFacet`.
`Adapter` `createXSDMinFacetAdapter()` This creates an adapter for a `XSDMinFacet`.
`Adapter` `createXSDMinInclusiveFacetAdapter()` This creates an adapter for a `XSDMinInclusiveFacet`.
`Adapter` `createXSDMinLengthFacetAdapter()` This creates an adapter for a `XSDMinLengthFacet`.
`Adapter` `createXSDModelGroupAdapter()` This creates an adapter for a `XSDModelGroup`.
`Adapter` `createXSDModelGroupDefinitionAdapter()` This creates an adapter for a `XSDModelGroupDefinition`.
`Adapter` `createXSDNotationDeclarationAdapter()` This creates an adapter for a `XSDNotationDeclaration`.
`Adapter` `createXSDNumericFacetAdapter()` This creates an adapter for a `XSDNumericFacet`.
`Adapter` `createXSDOrderedFacetAdapter()` This creates an adapter for a `XSDOrderedFacet`.
`Adapter` `createXSDParticleAdapter()` This creates an adapter for a `XSDParticle`.
`Adapter` `createXSDPatternFacetAdapter()` This creates an adapter for a `XSDPatternFacet`.
`Adapter` `createXSDRedefineAdapter()` This creates an adapter for a `XSDRedefine`.
`Adapter` `createXSDRepeatableFacetAdapter()` This creates an adapter for a `XSDRepeatableFacet`.
`Adapter` `createXSDSchemaAdapter()` This creates an adapter for a `XSDSchema`.
`Adapter` `createXSDSimpleTypeDefinitionAdapter()` This creates an adapter for a `XSDSimpleTypeDefinition`.
`Adapter` `createXSDTotalDigitsFacetAdapter()` This creates an adapter for a `XSDTotalDigitsFacet`.
`Adapter` `createXSDWhiteSpaceFacetAdapter()` This creates an adapter for a `XSDWhiteSpaceFacet`.
`Adapter` `createXSDWildcardAdapter()` This creates an adapter for a `XSDWildcard`.
`Adapter` `createXSDXPathDefinitionAdapter()` This creates an adapter for a `XSDXPathDefinition`.

Methods inherited from class org.eclipse.xsd.provider.XSDItemProviderAdapterFactory

`adapt, adapt, addListener, associate, createXSDAttributeGroupContentAdapter, createXSDBoundedFacetAdapter, createXSDComplexTypeContentAdapter, createXSDComponentAdapter, createXSDConcreteComponentAdapter, createXSDConstrainingFacetAdapter, createXSDFacetAdapter, createXSDFeatureAdapter, createXSDFixedFacetAdapter, createXSDFundamentalFacetAdapter, createXSDNamedComponentAdapter, createXSDParticleContentAdapter, createXSDRedefinableComponentAdapter, createXSDRedefineContentAdapter, createXSDSchemaCompositorAdapter, createXSDSchemaContentAdapter, createXSDSchemaDirectiveAdapter, createXSDScopeAdapter, createXSDTermAdapter, createXSDTypeDefinitionAdapter, dispose, fireNotifyChanged, getRootAdapterFactory, isFactoryForType, removeListener, setParentAdapterFactory`

Methods inherited from class org.eclipse.xsd.util.XSDAdapterFactory
`createAdapter, createEObjectAdapter`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, adaptNew, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew, adaptNew`

Constructor Detail

### XSDSemanticItemProviderAdapterFactory

    public XSDSemanticItemProviderAdapterFactory()

Method Detail

### createXSDSchemaAdapter

    public Adapter createXSDSchemaAdapter()

  Description copied from class: `XSDItemProviderAdapterFactory`
  This creates an adapter for a `XSDSchema`.

  Overrides:
    `createXSDSchemaAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDSchema`

### createXSDElementDeclarationAdapter

    public Adapter createXSDElementDeclarationAdapter()

  Description copied from class: `XSDItemProviderAdapterFactory`
  This creates an adapter for a `XSDElementDeclaration`.

  Overrides:
    `createXSDElementDeclarationAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDElementDeclaration`

### createXSDAttributeDeclarationAdapter

    public Adapter createXSDAttributeDeclarationAdapter()

  Description copied from class: `XSDItemProviderAdapterFactory`
  This creates an adapter for a `XSDAttributeDeclaration`.

  Overrides:
    `createXSDAttributeDeclarationAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDAttributeDeclaration`

### createXSDAttributeGroupDefinitionAdapter

    public Adapter createXSDAttributeGroupDefinitionAdapter()

  Description copied from class: `XSDItemProviderAdapterFactory`
  This creates an adapter for a `XSDAttributeGroupDefinition`.

  Overrides:
    `createXSDAttributeGroupDefinitionAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDAttributeGroupDefinition`

### createXSDComplexTypeDefinitionAdapter

    public Adapter createXSDComplexTypeDefinitionAdapter()

  Description copied from class: `XSDItemProviderAdapterFactory`
  This creates an adapter for a `XSDComplexTypeDefinition`.

  Overrides:
    `createXSDComplexTypeDefinitionAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDComplexTypeDefinition`

### createXSDSimpleTypeDefinitionAdapter

    public Adapter createXSDSimpleTypeDefinitionAdapter()

  Description copied from class: `XSDItemProviderAdapterFactory`
  This creates an adapter for a `XSDSimpleTypeDefinition`.

  Overrides:
    `createXSDSimpleTypeDefinitionAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDSimpleTypeDefinition`

### createXSDModelGroupDefinitionAdapter

    public Adapter createXSDModelGroupDefinitionAdapter()

  Description copied from class: `XSDItemProviderAdapterFactory`
  This creates an adapter for a `XSDModelGroupDefinition`.

  Overrides:
    `createXSDModelGroupDefinitionAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDModelGroupDefinition`

### createXSDNotationDeclarationAdapter

    public Adapter createXSDNotationDeclarationAdapter()

  Description copied from class: `XSDItemProviderAdapterFactory`
  This creates an adapter for a `XSDNotationDeclaration`.

  Overrides:
    `createXSDNotationDeclarationAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDNotationDeclaration`

### createXSDAnnotationAdapter

    public Adapter createXSDAnnotationAdapter()

  Description copied from class: `XSDItemProviderAdapterFactory`
  This creates an adapter for a `XSDAnnotation`.

  Overrides:
    `createXSDAnnotationAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDAnnotation`

### createXSDParticleAdapter

    public Adapter createXSDParticleAdapter()

  Description copied from class: `XSDItemProviderAdapterFactory`
  This creates an adapter for a `XSDParticle`.

  Overrides:
    `createXSDParticleAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDParticle`

### createXSDModelGroupAdapter

    public Adapter createXSDModelGroupAdapter()

  Description copied from class: `XSDItemProviderAdapterFactory`
  This creates an adapter for a `XSDModelGroup`.

  Overrides:
    `createXSDModelGroupAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDModelGroup`

### createXSDCardinalityFacetAdapter

    public Adapter createXSDCardinalityFacetAdapter()

  Description copied from class: `XSDItemProviderAdapterFactory`
  This creates an adapter for a `XSDCardinalityFacet`.

  Overrides:
    `createXSDCardinalityFacetAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDCardinalityFacet`

### createXSDNumericFacetAdapter

    public Adapter createXSDNumericFacetAdapter()

  Description copied from class: `XSDItemProviderAdapterFactory`
  This creates an adapter for a `XSDNumericFacet`.

  Overrides:
    `createXSDNumericFacetAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDNumericFacet`

### createXSDOrderedFacetAdapter

    public Adapter createXSDOrderedFacetAdapter()

  Description copied from class: `XSDItemProviderAdapterFactory`
  This creates an adapter for a `XSDOrderedFacet`.

  Overrides:
    `createXSDOrderedFacetAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDOrderedFacet`

### createXSDFractionDigitsFacetAdapter

    public Adapter createXSDFractionDigitsFacetAdapter()

  Description copied from class: `XSDItemProviderAdapterFactory`
  This creates an adapter for a `XSDFractionDigitsFacet`.

  Overrides:
    `createXSDFractionDigitsFacetAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDFractionDigitsFacet`

### createXSDLengthFacetAdapter

    public Adapter createXSDLengthFacetAdapter()

  Description copied from class: `XSDItemProviderAdapterFactory`
  This creates an adapter for a `XSDLengthFacet`.

  Overrides:
    `createXSDLengthFacetAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDLengthFacet`

### createXSDMaxExclusiveFacetAdapter

    public Adapter createXSDMaxExclusiveFacetAdapter()

  Description copied from class: `XSDItemProviderAdapterFactory`
  This creates an adapter for a `XSDMaxExclusiveFacet`.

  Overrides:
    `createXSDMaxExclusiveFacetAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDMaxExclusiveFacet`

### createXSDMaxInclusiveFacetAdapter

    public Adapter createXSDMaxInclusiveFacetAdapter()

  Description copied from class: `XSDItemProviderAdapterFactory`
  This creates an adapter for a `XSDMaxInclusiveFacet`.

  Overrides:
    `createXSDMaxInclusiveFacetAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDMaxInclusiveFacet`

### createXSDMaxLengthFacetAdapter

    public Adapter createXSDMaxLengthFacetAdapter()

  Description copied from class: `XSDItemProviderAdapterFactory`
  This creates an adapter for a `XSDMaxLengthFacet`.

  Overrides:
    `createXSDMaxLengthFacetAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDMaxLengthFacet`

### createXSDMinExclusiveFacetAdapter

    public Adapter createXSDMinExclusiveFacetAdapter()

  Description copied from class: `XSDItemProviderAdapterFactory`
  This creates an adapter for a `XSDMinExclusiveFacet`.

  Overrides:
    `createXSDMinExclusiveFacetAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDMinExclusiveFacet`

### createXSDMinInclusiveFacetAdapter

    public Adapter createXSDMinInclusiveFacetAdapter()

  Description copied from class: `XSDItemProviderAdapterFactory`
  This creates an adapter for a `XSDMinInclusiveFacet`.

  Overrides:
    `createXSDMinInclusiveFacetAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDMinInclusiveFacet`

### createXSDMinLengthFacetAdapter

    public Adapter createXSDMinLengthFacetAdapter()

  Description copied from class: `XSDItemProviderAdapterFactory`
  This creates an adapter for a `XSDMinLengthFacet`.

  Overrides:
    `createXSDMinLengthFacetAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDMinLengthFacet`

### createXSDTotalDigitsFacetAdapter

    public Adapter createXSDTotalDigitsFacetAdapter()

  Description copied from class: `XSDItemProviderAdapterFactory`
  This creates an adapter for a `XSDTotalDigitsFacet`.

  Overrides:
    `createXSDTotalDigitsFacetAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDTotalDigitsFacet`

### createXSDWhiteSpaceFacetAdapter

    public Adapter createXSDWhiteSpaceFacetAdapter()

  Description copied from class: `XSDItemProviderAdapterFactory`
  This creates an adapter for a `XSDWhiteSpaceFacet`.

  Overrides:
    `createXSDWhiteSpaceFacetAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDWhiteSpaceFacet`

### createXSDRepeatableFacetAdapter

    public Adapter createXSDRepeatableFacetAdapter()

  Description copied from class: `XSDItemProviderAdapterFactory`
  This creates an adapter for a `XSDRepeatableFacet`.

  Overrides:
    `createXSDRepeatableFacetAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDRepeatableFacet`

### createXSDEnumerationFacetAdapter

    public Adapter createXSDEnumerationFacetAdapter()

  Description copied from class: `XSDItemProviderAdapterFactory`
  This creates an adapter for a `XSDEnumerationFacet`.

  Overrides:
    `createXSDEnumerationFacetAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDEnumerationFacet`

### createXSDPatternFacetAdapter

    public Adapter createXSDPatternFacetAdapter()

  Description copied from class: `XSDItemProviderAdapterFactory`
  This creates an adapter for a `XSDPatternFacet`.

  Overrides:
    `createXSDPatternFacetAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDPatternFacet`

### createXSDAttributeUseAdapter

    public Adapter createXSDAttributeUseAdapter()

  Description copied from class: `XSDItemProviderAdapterFactory`
  This creates an adapter for a `XSDAttributeUse`.

  Overrides:
    `createXSDAttributeUseAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDAttributeUse`

### createXSDWildcardAdapter

    public Adapter createXSDWildcardAdapter()

  Description copied from class: `XSDItemProviderAdapterFactory`
  This creates an adapter for a `XSDWildcard`.

  Overrides:
    `createXSDWildcardAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDWildcard`

### createXSDIdentityConstraintDefinitionAdapter

    public Adapter createXSDIdentityConstraintDefinitionAdapter()

  Description copied from class: `XSDItemProviderAdapterFactory`
  This creates an adapter for a `XSDIdentityConstraintDefinition`.

  Overrides:
    `createXSDIdentityConstraintDefinitionAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDIdentityConstraintDefinition`

### createXSDXPathDefinitionAdapter

    public Adapter createXSDXPathDefinitionAdapter()

  Description copied from class: `XSDItemProviderAdapterFactory`
  This creates an adapter for a `XSDXPathDefinition`.

  Overrides:
    `createXSDXPathDefinitionAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDXPathDefinition`

### createXSDRedefineAdapter

    public Adapter createXSDRedefineAdapter()

  Description copied from class: `XSDItemProviderAdapterFactory`
  This creates an adapter for a `XSDRedefine`.

  Overrides:
    `createXSDRedefineAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDRedefine`

### createXSDImportAdapter

    public Adapter createXSDImportAdapter()

  Description copied from class: `XSDItemProviderAdapterFactory`
  This creates an adapter for a `XSDImport`.

  Overrides:
    `createXSDImportAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDImport`

### createXSDIncludeAdapter

    public Adapter createXSDIncludeAdapter()

  Description copied from class: `XSDItemProviderAdapterFactory`
  This creates an adapter for a `XSDInclude`.

  Overrides:
    `createXSDIncludeAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDInclude`

### createXSDDiagnosticAdapter

    public Adapter createXSDDiagnosticAdapter()

  This creates an adapter for a `XSDDiagnostic`.

  Overrides:
    `createXSDDiagnosticAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDDiagnostic`

### createXSDMinFacetAdapter

    public Adapter createXSDMinFacetAdapter()

  This creates an adapter for a `XSDMinFacet`.

  Overrides:
    `createXSDMinFacetAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDMinFacet`

### createXSDMaxFacetAdapter

    public Adapter createXSDMaxFacetAdapter()

  This creates an adapter for a `XSDMaxFacet`.

  Overrides:
    `createXSDMaxFacetAdapter` in class `XSDItemProviderAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDMaxFacet`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.